<?php
/*
Plugin Name: Shadowbox JS
Plugin URI: http://sivel.net/wordpress/
Description: Used as a media-viewer script for web pages that allows content to be viewed without navigating away from the original linking page.  Similar to Lightbox or Thickbox.
Version: 0.2
Author: Matt Martz
Author URI: http://sivel.net

        Copyright (c) 2008 Matt Martz (http://sivel.net)
        Shadowbox JS is released under the GNU General Public License (GPL)
        http://www.gnu.org/licenses/gpl.txt

        This is a WordPress 2 plugin (http://wordpress.org).

        Shadowbox (c) 2008 Michael J. I. Jackson (http://mjijackson.com/shadowbox)
	Shadowbox is licensed under the GNU Lesser General Public License (LGPL)
        http://www.gnu.org/licenses/lgpl.txt
*/

$jsLib = 'prototype'; // Specify the Javascript library you wish to use.  Possible values 'yui', 'prototype' or 'jquery'
$lightbox = 0; // To use as a lightbox replacement set to 1.  To disable this functionality set to 0.
$lightCSS = ''; // Set to '-light' to use lightbox like CSS.  Set to '' to use shadowbox CSS.

/* No Need To Modify Anything Below This Line */
$sbSiteUrl = get_option('siteurl');
$sbPluginUrl = $sbSiteUrl.'/wp-content/plugins/' . dirname(plugin_basename(__FILE__)) . '/';
$sbPre = '<script type="text/javascript"';
$sbPost = '</script>';
$initOps = 'loadingImage: \'' . $sbPluginUrl . 'images/loading' . $lightCSS . '.gif\',' . "\n\t\t\t";
$initOps .= 'overlayBgImage: \'' . $sbPluginUrl . 'images/overlay-85.png\',' . "\n\t\t\t";
$initOps .= 'flvPlayer: \'' . $sbPluginUrl . 'flvplayer.swf\'';
$sbInit = $sbPre . '>' . "\n\t" . 'window.onload = function(){' . "\n\t\t" . 'var conf = {' . "\n\t\t\t" . $initOps . "\n\t\t" . '};' . "\n\t\t" . 'Shadowbox.init(conf);' . "\n\t" . '};' . "\n" . $sbPost;
$sbCSS = '<link rel="stylesheet" type="text/css" href="' . $sbPluginUrl . 'css/shadowbox' . $lightCSS . '.css" />';
$sbJS = $sbPre . ' src="' . $sbPluginUrl . 'js/shadowbox.js">' . $sbPost . "\n" . $sbInit;

function shadowbox_headers() {
	global $jsLib;
	$sbBegin = "\n" . '<!-- Begin Shadowbox JS -->' . "\n";
	$sbEnd = '<!-- End Shadowbox JS -->' . "\n\n";
	$sbHeader = new sbGenHead;
	print($sbBegin . $sbHeader->$jsLib() . $sbEnd);
}

function lightbox2shadowbox($wp_content_lb2sb) {
	global $lightbox;
	if ($lightbox) {
        	$wp_content_lb2sb = preg_replace('/rel\=(\'|")lightbox/i','rel=$1shadowbox',$wp_content_lb2sb);
	}
	return $wp_content_lb2sb;
}

class sbGenHead {
        function yui() {
                global $sbCSS, $sbJS, $jsLib, $sbPre, $sbPost, $sbPluginUrl;
                $output = $sbCSS . "\n";
                $output .= $sbPre . ' src="' . $sbPluginUrl . 'js/yui-utilities.js">' . $sbPost . "\n";
                $output .= $sbPre . ' src="' . $sbPluginUrl . 'js/adapter/shadowbox-' . $jsLib  . '.js">' . $sbPost . "\n";
                $output .= $sbJS . "\n";
                return $output;
        }
        function prototype() {
                global $sbCSS, $sbJS, $jsLib, $sbPre, $sbPost, $sbSiteUrl, $sbPluginUrl;
                $output = $sbCSS . "\n";
                $output .= $sbPre . ' src="' . $sbSiteUrl . '/wp-includes/js/scriptaculous/prototype.js">' . $sbPost . "\n";
                $output .= $sbPre . ' src="' . $sbSiteUrl . '/wp-includes/js/scriptaculous/scriptaculous.js?load=effects">' . $sbPost . "\n";
                $output .= $sbPre . ' src="' . $sbPluginUrl . 'js/adapter/shadowbox-' . $jsLib  . '.js">' . $sbPost . "\n";
                $output .= $sbJS . "\n";
                return $output;
        }
        function jquery() {
                global $sbCSS, $sbJS, $jsLib, $sbPre, $sbPost, $sbSiteUrl, $sbPluginUrl;
                $output = $sbCSS . "\n";
                $output .= $sbPre . ' src="' . $sbSiteUrl . '/wp-includes/js/jquery/jquery.js">' . $sbPost . "\n";
                $output .= $sbPre . ' src="' . $sbSiteUrl . '/wp-includes/js/jquery/interface.js">' . $sbPost . "\n";
                $output .= $sbPre . ' src="' . $sbPluginUrl . 'js/adapter/shadowbox-' . $jsLib  . '.js">' . $sbPost . "\n";
                $output .= $sbJS . "\n";
                return $output;
        }
}

add_action('wp_head', 'shadowbox_headers');
add_filter('the_content', 'lightbox2shadowbox');
?>
